Subject: bug#19972: 24.4; Font size change doesn't update (window-total-width)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Mar 2015 20:25:54 +0200

> Date: Mon, 02 Mar 2015 19:12:42 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > I don't understand why that would happen.  It doesn't seem to happen
>  > for me, with the current emacs-24 branch.
> 
> Your backtrace was from Emacs 25.  Emacs 24 doesn't have
> adjust_frame_size.
> 
>  >>   > #1  0x01011f3e in adjust_frame_size (f=0x17d7a30 <dumped_data+2428016>,
>  >>   >      new_width=800, new_height=700, inhibit=5, pretend=false, parameter=8064)
>  >>   >      at frame.c:524
> [...]
>  >> Note that x_new_font _always_ calls adjust_frame_size (even for the
>  >> `set-frame-font' KEEP-SIZE non-nil case) trying to adjust the frame
>  >> size.
>  >>
>  >> I sincerely hope your frame was not maximized here.  Otherwise,
>  >> resize_frame_windows should not have been called ...
>  >
>  > It is called with maximized frames as well, see the backtrace below.
>  >
>  > #0  0x010913a4 in resize_frame_windows (f=0x3a7b5d0, size=2396, horflag=true,
>  >      pixelwise=true) at window.c:4211
>  > #1  0x0100ea3e in change_frame_size_1 (f=0x3a7b5d0, new_width=2360,
>  >      new_height=1300, pretend=false, delay=false, safe=false, pixelwise=true)
>  >      at dispnew.c:5610
> 
> This backtrace is from Emacs 24 where resize_frame_windows gets called
> by change_frame_size_1.

Sorry, I didn't realize you were talking about the master branch.
Yes, there resize_frame_windows doesn't get called, and the frame
dimensions don't change, if it is maximized to begin with.